Subject: bug#20893: Strange behavior when using parted

From: Joan Lledó <[email-masked]>
Date: Thu, 25 Jun 2015 00:49:31 +0200

On dc, 24 de jun 2015 a les 11:53 , Brian C. Lane <[email-masked]> 
wrote:
> On Wed, Jun 24, 2015 at 10:44:23PM +0200, Joan Lledó wrote:
>>  Hello parted list,
>> 
>>  I'm not sure this is a bug, probably not, but since I've installed
>>  Debian 8 some scripts I use for helping me to test a library are
>>  having a strange behavior. I've wrote a little script as an example:
> 
> What version of parted are you using?

The one that comes with Debian 8: parted 3.2

> 
> 
> You may be hitting this bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=1135493
> 
> (there's a fix being discussed on the parted-devel list)
> 

Thanks for the link. After reading it I can say that's exactly my
problem. I'm glad to know it's a parted bug, because I'm using libparted
in a project and thought it was a bug in my code. But this means all the
projects that use libparted 3.2, like gparted in Debian 8, must be
failing right now, right?

Is there a way to receive a notice when this bug is fixed?

> 
>> 
>>  #!/bin/bash
>>  cd ~
>>  modprobe scsi_debug dev_size_mb=800 sector_size=4096
>>  parted /dev/sdf mklabel msdos
>>  parted /dev/sdf mkpart primary 1 50
>>  parted /dev/sdf mkpart primary 51 105
>>  parted /dev/sdf mkpart extended 106 750
>>  parted /dev/sdf mkpart primary 751 839
>>  parted /dev/sdf mkpart logical 107 200
>>  parted /dev/sdf mkpart logical 201 300
>>  parted /dev/sdf mkpart logical 301 450
>>  parted /dev/sdf mkpart logical 451 600
>>  parted /dev/sdf mkpart logical 601 750
> 
> Also, you should be using -s in your script to avoid prompting.
> 
> --
> Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA 
> (PST8PDT)